apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: rancher
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://github.com/rancher/rancher
    targetRevision: release/v2.8
    path: charts/rancher
    helm:
      releaseName: rancher
      values: |
        hostname: rancher.sankofa.nexus
        replicas: 3
        ingress:
          enabled: true
          ingressClassName: nginx
          annotations:
            cert-manager.io/cluster-issuer: letsencrypt-prod
        tls: external
        rancherImage: rancher/rancher
        rancherImageTag: v2.8.0
        global:
          cattle:
            systemDefaultRegistry: ""
        extraEnv:
          - name: CATTLE_PROMETHEUS_METRICS
            value: "true"
  destination:
    server: https://kubernetes.default.svc
    namespace: rancher-system
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - PrunePropagationPolicy=foreground
      - PruneLast=true

